### Method

# Gdk GLContext set_forward_compatible

#### Declaration [src]

    void
    gdk_gl_context_set_forward_compatible (
      GdkGLContext* context,
      gboolean compatible
    )

#### Description [src]

Sets whether the `GdkGLContext` should be forward-compatible.

Forward-compatible contexts must not support OpenGL functionality that has been marked as deprecated in the requested version; non-forward compatible contexts, on the other hand, must support both deprecated and non deprecated functionality.

The `GdkGLContext` must not be realized or made current prior to calling this function.

#### Parameters

`compatible` | `gboolean`
| Whether the context should be forward-compatible.